Skip to content

YellowHammer⁠

Perform various operations for Symitar parameters.

Operations⁠

getYellowHammerSelectFields⁠

POST

Execute the persistent ParameterService getYellowHammerSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getYellowHammerSelectFields
POST /nexum/627/persistent/parameter/getYellowHammerSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllYellowHammerFields": true,
    "YellowHammerFields": {
      "Description": [
        0
      ],
      "Enabled": true,
      "ErrorMessage": true,
      "ExemptServiceCode": true,
      "Privilege": [
        0
      ],
      "RuleId": [
        0
      ],
      "Warning": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateYellowHammerByID⁠

POST

Execute the persistent ParameterService updateYellowHammerByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateYellowHammerByID
POST /nexum/627/persistent/parameter/updateYellowHammerByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "YellowHammerFields": {
    "Description": [
      {
        "EntryId": 0,
        "Description": "string"
      }
    ],
    "Enabled": true,
    "ErrorMessage": "string",
    "ExemptServiceCode": 0,
    "Privilege": [
      {
        "EntryId": 0,
        "Privilege": 0
      }
    ],
    "RuleId": [
      {
        "EntryId": 0,
        "RuleId": 0
      }
    ],
    "Warning": [
      {
        "EntryId": 0,
        "Warning": true
      }
    ]
  },
  "nxAttributes": {
    "customFields": {}
  }
}